<?
include 'cnn.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "<strong>Para acessar essa pagina  preciso esta logado!</strong>"; }
else{
$vip=mssql_fetch_row(mssql_query("select vip from memb_info where memb___id='".$login."'"));
$bau_query = mssql_query("SELECT * FROM warehouse WHERE AccountID='$login'");
$bau_check = mssql_num_rows($bau_query);
echo "<h1>Ba&uacute; Duplo</h1>";
		if ($bau_check == 0) {
			echo "<center>Essa Conta não Possui Baú!</center>";
		} elseif (!$act or $act <> 'alternar') { 
			echo "
			<form method='post' action='?go=painel/bduplo&act=alternar'>
			<div class=quadros>
			<label>Senha:</label>
			<input type='password' name='senha' maxlength='10' class='submit'>
			<br />
			<br />
			<input type='submit' class='submit' name='submit' value='Alterar'>
			</div>
			</form>"; 
		} elseif ($act == 'alternar') {
			$senha = $_POST['senha'];
			
			if ($md5 == 1) {
				$qChecaSenha = mssql_query('exec ChecaSenha "'.$senha.'", "'.$login.'"');
				$ChecaSenha = mssql_num_rows($qChecaSenha);
			} else {
				$qChecaSenha = mssql_query("SELECT * FROM MEMB_INFO WHERE memb___id='".$login."' AND memb__pwd='".$senha."'");
				$ChecaSenha = mssql_num_rows($qChecaSenha);
			}
			$dados_wh_q = mssql_query("SELECT * FROM warehouse WHERE AccountID='$ses_login'");
			$dados_wh = mssql_fetch_array($dados_wh_q);
			
			if ($dados_stat['ConnectStat'] >= 1) {
					echo "<script>alert('Você Está Conectato, antes de efetuar esta operação, Saia do Jogo.')</script>";
					echo "<script>window.location='?go=painel/bduplo'</script>";
			} elseif ((eregi("[^0-9a-zA-Z]", $senha))) {
				echo "<script>alert('Não use Caracteres Incorretos.')</script>";
				echo "<script>window.location='?go=painel/bduplo'</script>";
			} elseif(empty($senha)) {
				echo "<script>alert('O Campo Senha está em branco.')</script>";
				echo "<script>window.location='?go=painel/bduplo'</script>";
			} elseif($ChecaSenha == 0){
				echo "<script>alert('Senha Incorreta.')</script>";
				echo "<script>window.location='?go=painel/bduplo'</script>";
			} elseif($dados_wh['Compra'] == 1){
				echo "<script>alert('Você tem uma Compra em Andamento, Por Favor Retire Todos os Itens do Vault para que esta Opção seja Liberada.')</script>";
				echo "<script>window.location='?go=painel/bduplo'</script>";
			} else {
				mssql_query("UPDATE warehouse
								SET Items = (SELECT Items2 FROM warehouse WHERE AccountID='$login'),
								Items2 = (SELECT Items FROM warehouse WHERE AccountID='$login')
								WHERE AccountID='$login'");
				echo "<br><br><center>Os Baus Foram Alternados Com Sucesso!</center>";
				echo '<meta http-equiv="refresh" content="2; URL=?">';
			}
		}
	}
?>